from machine import Pin
import time
button = Pin(4, Pin.IN, Pin.PULL_UP)
Buzzer = Pin(16, Pin.OUT)
Buzzer_state = False
last_button_state = 1

while True:
    current_state = button.value()
    if last_button_state == 1 and current_state == 0:  
        Buzzer_state = not Buzzer_state  
        Buzzer.value(Buzzer_state)  
        print("Buzzer ON" if Buzzer_state else "Buzzer OFF")  
        time.sleep(0.2)  

last_button_state = current_state  
time.sleep(0.01)